summaryrefslogtreecommitdiff
path: root/rhnop-server/debian/postinst
diff options
context:
space:
mode:
authorChristian Pointner <equinox@helsinki.at>2011-03-30 03:01:15 (GMT)
committerChristian Pointner <equinox@helsinki.at>2011-03-30 03:01:15 (GMT)
commitb79e5c9fa899514501df13868717641987750fac (patch)
treed078983f84875355ff2fc3d8cf823bed1253b582 /rhnop-server/debian/postinst
parentb96ad327d3728f79470586416ad72869c0b76900 (diff)
added postinst and postrm (user handling)
Diffstat (limited to 'rhnop-server/debian/postinst')
-rwxr-xr-xrhnop-server/debian/postinst9
1 files changed, 9 insertions, 0 deletions
diff --git a/rhnop-server/debian/postinst b/rhnop-server/debian/postinst
new file mode 100755
index 0000000..b3b5815
--- /dev/null
+++ b/rhnop-server/debian/postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+# postinst script for rhnop-server
+
+set -e
+
+if [ "$1" = "configure" ]; then
+ adduser --quiet --system --group --no-create-home --home /var/run/rhnop rhnop
+ chown rhnop /etc/rhnop/nopsyncd.conf
+fi